"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityType = exports.LineItemQuantityChangeType = exports.OrderStatus = exports.FulfillmentStatus = exports.PaymentStatus = exports.NonDraftableReason = exports.DiscountType = exports.FileType = exports.RuleType = exports.PickupMethod = exports.WeightUnit = exports.EditingStatus = exports.DiscountReason = exports.AppliedDiscountDiscountType = exports.SourceType = exports.PickupDetailsPickupMethod = exports.VatType = exports.TaxableAddressType = exports.AdjustmentType = exports.SubscriptionFrequency = exports.JurisdictionType = exports.PaymentOptionType = exports.ItemTypeItemType = exports.DescriptionLineType = exports.onDraftOrderUpdated = exports.onDraftOrderDeleted = exports.onDraftOrderCreated = exports.setBusinessLocation = exports.setTaxExemption = exports.updateExtendedFields = exports.queryDraftOrders = exports.deleteDraftOrder = exports.createOrderFromDraft = exports.commitDraftOrder = exports.getOrderDraftabilityStatus = exports.getDraftOrder = exports.setBillingInfo = exports.setRecipientInfo = exports.setBuyerInfo = exports.setShippingInfo = exports.deleteCustomAdditionalFees = exports.createCustomAdditionalFees = exports.setAdditionalFees = exports.deleteCustomDiscounts = exports.createCustomDiscounts = exports.setDiscounts = exports.updateLineItems = exports.addLineItemsToDraftOrder = exports.createEmptyDraftOrder = exports.createDraftOrder = void 0;
exports.WebhookIdentityType = exports.SortOrder = exports.ChannelType = exports.AttributionSource = void 0;
const ecom_v1_draft_order_draft_orders_public_js_1 = require("./ecom-v1-draft-order-draft-orders.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const ecom_v1_draft_order_draft_orders_public_js_2 = require("./ecom-v1-draft-order-draft-orders.public.js");
const ecom_v1_draft_order_draft_orders_public_js_3 = require("./ecom-v1-draft-order-draft-orders.public.js");
const ecom_v1_draft_order_draft_orders_public_js_4 = require("./ecom-v1-draft-order-draft-orders.public.js");
exports.createDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.createDraftOrder);
exports.createEmptyDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.createEmptyDraftOrder);
exports.addLineItemsToDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.addLineItemsToDraftOrder);
exports.updateLineItems = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.updateLineItems);
exports.setDiscounts = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setDiscounts);
exports.createCustomDiscounts = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.createCustomDiscounts);
exports.deleteCustomDiscounts = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.deleteCustomDiscounts);
exports.setAdditionalFees = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setAdditionalFees);
exports.createCustomAdditionalFees = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.createCustomAdditionalFees);
exports.deleteCustomAdditionalFees = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.deleteCustomAdditionalFees);
exports.setShippingInfo = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setShippingInfo);
exports.setBuyerInfo = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setBuyerInfo);
exports.setRecipientInfo = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setRecipientInfo);
exports.setBillingInfo = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setBillingInfo);
exports.getDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.getDraftOrder);
exports.getOrderDraftabilityStatus = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.getOrderDraftabilityStatus);
exports.commitDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.commitDraftOrder);
exports.createOrderFromDraft = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.createOrderFromDraft);
exports.deleteDraftOrder = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.deleteDraftOrder);
exports.queryDraftOrders = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.queryDraftOrders);
exports.updateExtendedFields = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.updateExtendedFields);
exports.setTaxExemption = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setTaxExemption);
exports.setBusinessLocation = (0, rest_modules_1.createRESTModule)(ecom_v1_draft_order_draft_orders_public_js_1.setBusinessLocation);
/**
 * Triggered when a draft order is created.
 */
exports.onDraftOrderCreated = (0, event_definition_modules_1.createEventModule)(ecom_v1_draft_order_draft_orders_public_js_2.onDraftOrderCreated);
/**
 * Triggered when a draft order is deleted.
 */
exports.onDraftOrderDeleted = (0, event_definition_modules_1.createEventModule)(ecom_v1_draft_order_draft_orders_public_js_3.onDraftOrderDeleted);
/**
 * Triggered when a draft order is updated.
 */
exports.onDraftOrderUpdated = (0, event_definition_modules_1.createEventModule)(ecom_v1_draft_order_draft_orders_public_js_4.onDraftOrderUpdated);
var ecom_v1_draft_order_draft_orders_universal_js_1 = require("./ecom-v1-draft-order-draft-orders.universal.js");
Object.defineProperty(exports, "DescriptionLineType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.DescriptionLineType; } });
Object.defineProperty(exports, "ItemTypeItemType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.ItemTypeItemType; } });
Object.defineProperty(exports, "PaymentOptionType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.PaymentOptionType; } });
Object.defineProperty(exports, "JurisdictionType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.JurisdictionType; } });
Object.defineProperty(exports, "SubscriptionFrequency", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.SubscriptionFrequency; } });
Object.defineProperty(exports, "AdjustmentType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.AdjustmentType; } });
Object.defineProperty(exports, "TaxableAddressType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.TaxableAddressType; } });
Object.defineProperty(exports, "VatType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.VatType; } });
Object.defineProperty(exports, "PickupDetailsPickupMethod", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.PickupDetailsPickupMethod; } });
Object.defineProperty(exports, "SourceType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.SourceType; } });
Object.defineProperty(exports, "AppliedDiscountDiscountType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.AppliedDiscountDiscountType; } });
Object.defineProperty(exports, "DiscountReason", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.DiscountReason; } });
Object.defineProperty(exports, "EditingStatus", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.EditingStatus; } });
Object.defineProperty(exports, "WeightUnit", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.WeightUnit; } });
Object.defineProperty(exports, "PickupMethod", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.PickupMethod; } });
Object.defineProperty(exports, "RuleType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.RuleType; } });
Object.defineProperty(exports, "FileType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.FileType; } });
Object.defineProperty(exports, "DiscountType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.DiscountType; } });
Object.defineProperty(exports, "NonDraftableReason", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.NonDraftableReason; } });
Object.defineProperty(exports, "PaymentStatus", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.PaymentStatus; } });
Object.defineProperty(exports, "FulfillmentStatus", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.FulfillmentStatus; } });
Object.defineProperty(exports, "OrderStatus", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.OrderStatus; } });
Object.defineProperty(exports, "LineItemQuantityChangeType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.LineItemQuantityChangeType; } });
Object.defineProperty(exports, "ActivityType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.ActivityType; } });
Object.defineProperty(exports, "AttributionSource", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.AttributionSource; } });
Object.defineProperty(exports, "ChannelType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.ChannelType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return ecom_v1_draft_order_draft_orders_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=ecom-v1-draft-order-draft-orders.context.js.map