import { createDraftOrder as publicCreateDraftOrder, createEmptyDraftOrder as publicCreateEmptyDraftOrder, addLineItemsToDraftOrder as publicAddLineItemsToDraftOrder, updateLineItems as publicUpdateLineItems, setDiscounts as publicSetDiscounts, createCustomDiscounts as publicCreateCustomDiscounts, deleteCustomDiscounts as publicDeleteCustomDiscounts, setAdditionalFees as publicSetAdditionalFees, createCustomAdditionalFees as publicCreateCustomAdditionalFees, deleteCustomAdditionalFees as publicDeleteCustomAdditionalFees, setShippingInfo as publicSetShippingInfo, setBuyerInfo as publicSetBuyerInfo, setRecipientInfo as publicSetRecipientInfo, setBillingInfo as publicSetBillingInfo, getDraftOrder as publicGetDraftOrder, getOrderDraftabilityStatus as publicGetOrderDraftabilityStatus, commitDraftOrder as publicCommitDraftOrder, createOrderFromDraft as publicCreateOrderFromDraft, deleteDraftOrder as publicDeleteDraftOrder, queryDraftOrders as publicQueryDraftOrders, updateExtendedFields as publicUpdateExtendedFields, setTaxExemption as publicSetTaxExemption, setBusinessLocation as publicSetBusinessLocation, } from './ecom-v1-draft-order-draft-orders.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onDraftOrderCreated as publicOnDraftOrderCreated } from './ecom-v1-draft-order-draft-orders.public.js';
import { onDraftOrderDeleted as publicOnDraftOrderDeleted } from './ecom-v1-draft-order-draft-orders.public.js';
import { onDraftOrderUpdated as publicOnDraftOrderUpdated } from './ecom-v1-draft-order-draft-orders.public.js';
export const createDraftOrder = /*#__PURE__*/ createRESTModule(publicCreateDraftOrder);
export const createEmptyDraftOrder = /*#__PURE__*/ createRESTModule(publicCreateEmptyDraftOrder);
export const addLineItemsToDraftOrder = /*#__PURE__*/ createRESTModule(publicAddLineItemsToDraftOrder);
export const updateLineItems = /*#__PURE__*/ createRESTModule(publicUpdateLineItems);
export const setDiscounts = /*#__PURE__*/ createRESTModule(publicSetDiscounts);
export const createCustomDiscounts = /*#__PURE__*/ createRESTModule(publicCreateCustomDiscounts);
export const deleteCustomDiscounts = /*#__PURE__*/ createRESTModule(publicDeleteCustomDiscounts);
export const setAdditionalFees = /*#__PURE__*/ createRESTModule(publicSetAdditionalFees);
export const createCustomAdditionalFees = /*#__PURE__*/ createRESTModule(publicCreateCustomAdditionalFees);
export const deleteCustomAdditionalFees = /*#__PURE__*/ createRESTModule(publicDeleteCustomAdditionalFees);
export const setShippingInfo = /*#__PURE__*/ createRESTModule(publicSetShippingInfo);
export const setBuyerInfo = /*#__PURE__*/ createRESTModule(publicSetBuyerInfo);
export const setRecipientInfo = /*#__PURE__*/ createRESTModule(publicSetRecipientInfo);
export const setBillingInfo = /*#__PURE__*/ createRESTModule(publicSetBillingInfo);
export const getDraftOrder = /*#__PURE__*/ createRESTModule(publicGetDraftOrder);
export const getOrderDraftabilityStatus = /*#__PURE__*/ createRESTModule(publicGetOrderDraftabilityStatus);
export const commitDraftOrder = /*#__PURE__*/ createRESTModule(publicCommitDraftOrder);
export const createOrderFromDraft = /*#__PURE__*/ createRESTModule(publicCreateOrderFromDraft);
export const deleteDraftOrder = /*#__PURE__*/ createRESTModule(publicDeleteDraftOrder);
export const queryDraftOrders = /*#__PURE__*/ createRESTModule(publicQueryDraftOrders);
export const updateExtendedFields = /*#__PURE__*/ createRESTModule(publicUpdateExtendedFields);
export const setTaxExemption = /*#__PURE__*/ createRESTModule(publicSetTaxExemption);
export const setBusinessLocation = /*#__PURE__*/ createRESTModule(publicSetBusinessLocation);
/**
 * Triggered when a draft order is created.
 */
export const onDraftOrderCreated = createEventModule(publicOnDraftOrderCreated);
/**
 * Triggered when a draft order is deleted.
 */
export const onDraftOrderDeleted = createEventModule(publicOnDraftOrderDeleted);
/**
 * Triggered when a draft order is updated.
 */
export const onDraftOrderUpdated = createEventModule(publicOnDraftOrderUpdated);
export { DescriptionLineType, ItemTypeItemType, PaymentOptionType, JurisdictionType, SubscriptionFrequency, AdjustmentType, TaxableAddressType, VatType, PickupDetailsPickupMethod, SourceType, AppliedDiscountDiscountType, DiscountReason, EditingStatus, WeightUnit, PickupMethod, RuleType, FileType, DiscountType, NonDraftableReason, PaymentStatus, FulfillmentStatus, OrderStatus, LineItemQuantityChangeType, ActivityType, AttributionSource, ChannelType, SortOrder, WebhookIdentityType, } from './ecom-v1-draft-order-draft-orders.universal.js';
//# sourceMappingURL=ecom-v1-draft-order-draft-orders.context.js.map