import * as ambassadorWixEcomV1DraftOrderTypes from './ecom-v1-draft-order-draft-orders.types.js';
import * as ambassadorWixEcomV1DraftOrderUniversalTypes from './ecom-v1-draft-order-draft-orders.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createDraftOrder(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.CreateDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.CreateDraftOrderResponse>;
export declare function createEmptyDraftOrder(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateEmptyDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.CreateEmptyDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateEmptyDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.CreateEmptyDraftOrderResponse>;
export declare function addLineItemsToDraftOrder(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.AddLineItemsToDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.AddLineItemsToDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.AddLineItemsToDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.AddLineItemsToDraftOrderResponse>;
export declare function updateLineItems(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.UpdateLineItemsRequest, ambassadorWixEcomV1DraftOrderTypes.UpdateLineItemsRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.UpdateLineItemsResponse, ambassadorWixEcomV1DraftOrderTypes.UpdateLineItemsResponse>;
export declare function setDiscounts(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetDiscountsRequest, ambassadorWixEcomV1DraftOrderTypes.SetDiscountsRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetDiscountsResponse, ambassadorWixEcomV1DraftOrderTypes.SetDiscountsResponse>;
export declare function createCustomDiscounts(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateCustomDiscountsRequest, ambassadorWixEcomV1DraftOrderTypes.CreateCustomDiscountsRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateCustomDiscountsResponse, ambassadorWixEcomV1DraftOrderTypes.CreateCustomDiscountsResponse>;
export declare function deleteCustomDiscounts(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteCustomDiscountsRequest, ambassadorWixEcomV1DraftOrderTypes.DeleteCustomDiscountsRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteCustomDiscountsResponse, ambassadorWixEcomV1DraftOrderTypes.DeleteCustomDiscountsResponse>;
export declare function setAdditionalFees(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderTypes.SetAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetAdditionalFeesResponse, ambassadorWixEcomV1DraftOrderTypes.SetAdditionalFeesResponse>;
export declare function createCustomAdditionalFees(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateCustomAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderTypes.CreateCustomAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateCustomAdditionalFeesResponse, ambassadorWixEcomV1DraftOrderTypes.CreateCustomAdditionalFeesResponse>;
export declare function deleteCustomAdditionalFees(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteCustomAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderTypes.DeleteCustomAdditionalFeesRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteCustomAdditionalFeesResponse, ambassadorWixEcomV1DraftOrderTypes.DeleteCustomAdditionalFeesResponse>;
export declare function setShippingInfo(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetShippingInfoRequest, ambassadorWixEcomV1DraftOrderTypes.SetShippingInfoRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetShippingInfoResponse, ambassadorWixEcomV1DraftOrderTypes.SetShippingInfoResponse>;
export declare function setBuyerInfo(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBuyerInfoRequest, ambassadorWixEcomV1DraftOrderTypes.SetBuyerInfoRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBuyerInfoResponse, ambassadorWixEcomV1DraftOrderTypes.SetBuyerInfoResponse>;
export declare function setRecipientInfo(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetRecipientInfoRequest, ambassadorWixEcomV1DraftOrderTypes.SetRecipientInfoRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetRecipientInfoResponse, ambassadorWixEcomV1DraftOrderTypes.SetRecipientInfoResponse>;
export declare function setBillingInfo(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBillingInfoRequest, ambassadorWixEcomV1DraftOrderTypes.SetBillingInfoRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBillingInfoResponse, ambassadorWixEcomV1DraftOrderTypes.SetBillingInfoResponse>;
export declare function getDraftOrder(): __PublicMethodMetaInfo<'GET', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.GetDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.GetDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.GetDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.GetDraftOrderResponse>;
export declare function getOrderDraftabilityStatus(): __PublicMethodMetaInfo<'GET', {
    orderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.GetOrderDraftabilityStatusRequest, ambassadorWixEcomV1DraftOrderTypes.GetOrderDraftabilityStatusRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.GetOrderDraftabilityStatusResponse, ambassadorWixEcomV1DraftOrderTypes.GetOrderDraftabilityStatusResponse>;
export declare function commitDraftOrder(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.CommitDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.CommitDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CommitDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.CommitDraftOrderResponse>;
export declare function createOrderFromDraft(): __PublicMethodMetaInfo<'POST', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateOrderFromDraftRequest, ambassadorWixEcomV1DraftOrderTypes.CreateOrderFromDraftRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.CreateOrderFromDraftResponse, ambassadorWixEcomV1DraftOrderTypes.CreateOrderFromDraftResponse>;
export declare function deleteDraftOrder(): __PublicMethodMetaInfo<'DELETE', {
    draftOrderId: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteDraftOrderRequest, ambassadorWixEcomV1DraftOrderTypes.DeleteDraftOrderRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.DeleteDraftOrderResponse, ambassadorWixEcomV1DraftOrderTypes.DeleteDraftOrderResponse>;
export declare function queryDraftOrders(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.QueryDraftOrdersRequest, ambassadorWixEcomV1DraftOrderTypes.QueryDraftOrdersRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.QueryDraftOrdersResponse, ambassadorWixEcomV1DraftOrderTypes.QueryDraftOrdersResponse>;
export declare function updateExtendedFields(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixEcomV1DraftOrderUniversalTypes.UpdateExtendedFieldsRequest, ambassadorWixEcomV1DraftOrderTypes.UpdateExtendedFieldsRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.UpdateExtendedFieldsResponse, ambassadorWixEcomV1DraftOrderTypes.UpdateExtendedFieldsResponse>;
export declare function setTaxExemption(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetTaxExemptionRequest, ambassadorWixEcomV1DraftOrderTypes.SetTaxExemptionRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetTaxExemptionResponse, ambassadorWixEcomV1DraftOrderTypes.SetTaxExemptionResponse>;
export declare function setBusinessLocation(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBusinessLocationRequest, ambassadorWixEcomV1DraftOrderTypes.SetBusinessLocationRequest, ambassadorWixEcomV1DraftOrderUniversalTypes.SetBusinessLocationResponse, ambassadorWixEcomV1DraftOrderTypes.SetBusinessLocationResponse>;
